#ifdef __cplusplus
extern "C" {
#endif
/*
  EEPROM:24LC1024, total=128K bytes, 2 blocks, 65536(64K) bytes/block
  In X510 there are two 24Lc1024, so totaly has 4 blocks.

  in the following functions, the parameters:

  Block,StartBlock: range=0 to 3
  Addr,StartAddr:  range=0 to 65535
*/

void X510EE_WriteEnable(void);
void X510EE_WriteProtect(void);
int X510EE_RandomRead(int Block,unsigned Addr);
int X510EE_ReadNext(int Block);
int X510EE_MultiRead(int StartBlock,unsigned StartAddr,int no,char *databuf);
int X510EE_RandomWrite(int Block,unsigned Addr,int Data);
int X510EE_MultiWrite(int Block,unsigned Addr,int no,char *Data);
/*
  return value:
   0: No error
   -1: error.(24LC1024 is busy)
*/

int GetSerialNumber(char *serial);
/*
  serial O@ 8 bytes  array A
  Ǧ^ȡG 1 ܦŪ쥿TǸC
           0 ܨSŪ쥿TǸC
             pGǸO 0x55 ܡANOS쨺icC
             pGǸO 0xaa ܡANOŪ쪺Ǹ crc ~C
*/

#ifdef __cplusplus
}
#endif
